Description

In different dialogs, different ways of saving and loading custom settings are used:

    -  Style manager: bottom center, button "Share" 

    -  Shortcuts: bottom left, button "Load..." and "Save..." 

    -  Customization: top left, icons for save and load

    -  Predefined scales and Project scales: vertical bottom right, icons for load and save

    -  Default styles: vertical bottom right, buttons "Import" and "Export".

There might be others.

This is confusing to the user, and should better be made uniform (with a widget?).

It might be a rather easy fix.

History

#1 - 2015-03-21 02:43 AM - Paolo Cavallini

- File style_man.png added

- File default_styles.png added

- File project_scales.png added

- File scales.png added

- File customization.png added

- File shortcut.png added

#2 - 2015-03-21 01:15 PM - Nyall Dawson

Paolo - this sounds like a perfect project for the ux team. If a mockup of the best load/save widget was created and a complete list of existing

implementations compiled then it would be quite straightforward for a dev to make the changes...

#3 - 2015-03-22 03:00 AM - Paolo Cavallini

The list is AFAIK complete. The best implementation is IMHO the customization one (icons), but I'm not a UX expert.

#4 - 2015-03-22 05:20 AM - Anita Graser

I also think that the save and load icons are the better solution, e.g.

scales.png
The example also show a second issue: the "Add color" and "Remove color" buttons could easily be replaced by the + and - icons. Copy and paste icons

from the editing toolbar could be used as well:

default_styles.png

... Should I create a new ticket for these other issues?

#5 - 2016-04-30 11:50 AM - Harrissou Santanna

- Pull Request or Patch supplied changed from No to Yes

see https://github.com/qgis/QGIS/pull/3049 for a fix

#6 - 2016-08-17 08:17 AM - Harrissou Santanna

- Status changed from Open to Closed

Can be closed imho.
